Subject: Re: Unable to build pdksh-5.2.14 on Cygwin
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 4 Oct 2000 17:13:14 -0400

It looks like you're using an older version of cygwin.  I don't see any
"HANDLE" use in my version of cygwin 1.1.4.  Are you using cygwin 1.1.4?

cgf

On Wed, Oct 04, 2000 at 01:43:15PM -0700, David M. Karr wrote:
>As there doesn't appear to be a binary release of pdksh-5.2.14 (there
>is a 5.2.13) available, I'm trying to build it locally.  I get the
>following output, ending in the failed compile.  Anyone have any idea
>what could be going wrong?
>
>[POPCORN;] ./configure -prefix=/usr
>creating cache ./config.cache
>checking for gcc... gcc
>checking whether we are using GNU C... yes
>checking whether gcc accepts -g... yes
>checking how to run the C preprocessor... gcc -E
>checking whether gcc needs -traditional... no
>checking if this is a problematic os... checking for minix/config.h... no
>no
>checking for dirent.h that defines DIR... yes
>checking for opendir in -ldir... no
>checking for opendir in -lndir... no
>checking for sane unistd.h... yes
>checking terminal interface... termios
>checking for stddef.h... yes
>checking for stdlib.h... yes
>checking for string.h... yes
>checking for memory.h... yes
>checking for fcntl.h... yes
>checking for limits.h... yes
>checking for paths.h... yes
>checking for sys/param.h... yes
>checking for sys/resource.h... yes
>checking for values.h... no
>checking for ulimit.h... no
>checking for sys/time.h... yes
>checking whether time.h and sys/time.h may both be included... yes
>checking for sys/wait.h that is POSIX.1 compatible... yes
>checking for off_t in sys/types.h... yes
>checking for mode_t in sys/types.h... yes
>checking for pid_t in sys/types.h... yes
>checking for uid_t in sys/types.h... yes
>checking return type of signal handlers... void
>checking size of int... 4
>checking size of long... 4
>checking for clock_t in any of <sys/types.h>, <sys/times.h> and <sys/time.h>... yes
>checking for sigset_t in <sys/types.h> and <signal.h>... yes
>checking for rlim_t in <sys/types.h> and <sys/resource.h>... no
>checking what to set rlim_t to... long
>checking for working memmove... yes
>checking for memset... yes
>checking for confstr... no
>checking for dup2... yes
>checking for flock... no
>checking for getcwd... yes
>checking for getwd... yes
>checking for killpg... yes
>checking for nice... yes
>checking for setrlimit... no
>checking for strerror... yes
>checking for strcasecmp... yes
>checking for strstr... yes
>checking for sysconf... yes
>checking for tcsetpgrp... yes
>checking for ulimit... no
>checking for waitpid... yes
>checking for wait3... yes
>checking for sigsetjmp... no
>checking for _setjmp... yes
>checking for valloc... no
>checking for getpagesize... yes
>checking for working mmap... no
>checking for lstat... yes
>checking for sys_errlist declaration in errno.h... no
>checking for sys_errlist in library... no
>checking for sys_siglist declaration in signal.h or unistd.h... no
>checking for sys_siglist in library... no
>checking time() declaration in time.h... yes
>checking if times() is present/working... yes
>checking whether stat file-mode macros are broken... no
>checking for st_rdev in struct stat... yes
>checking for working const... yes
>checking if compiler understands void... yes
>checking if compiler understands volatile... yes
>checking if compiler understands prototypes... yes
>checking if C compiler groks __attribute__(( .. ))... yes
>checking whether #! works in shell scripts... yes
>checking for a BSD compatible install... /usr/bin/install -c
>checking if dup2() works (ie, resets the close-on-exec flag)... yes
>checking flavour of signal routines... posix
>checking flavour of pgrp routines... posix
>checking if process group synchronization is required... no
>checking if opendir() fails to open non-directories... yes
>checking if you have /dev/fd/n... no
>updating cache ./config.cache
>creating ./config.status
>creating Makefile
>creating config.h
>[POPCORN;] make
>CONFIG_FILES="" CONFIG_HEADERS=config.h ./config.status
>creating config.h
>config.h is unchanged
>date > stamp-h
>gcc -c  -DHAVE_CONFIG_H -I. -I. -g -O alloc.c
>gcc -c  -DHAVE_CONFIG_H -I. -I. -g -O c_ksh.c
>In file included from c_ksh.c:10:
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:60: parse error before `HANDLE'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:60: warning: no semicolon at end of struct or union
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:61: warning: data definition has no type or storage class
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:67: `umask' redeclared as different kind of symbol
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/stat.h:125: previous declaration of `umask'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:73: `MAX_PATH' undeclared here (not in a function)
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:75: parse error before `strace_mask'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:75: warning: data definition has no type or storage class
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:76: parse error before `strace_file'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:76: warning: data definition has no type or storage class
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:78: parse error before `process_state'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:78: warning: data definition has no type or storage class
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:81: parse error before `cygwin_internal'
>/usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/sys/cygwin.h:81: warning: data definition has no type or storage class
>make: *** [c_ksh.o] Error 1
>
>-- 
>===============================================================================
>David M. Karr     ; [email-masked]  ; w:(425)487-8312 ; TCSI & Best Consulting
>Software Engineer ; Unix/Java/C++/X ; BrainBench CJ12P (#12004)

--
Want to unsubscribe from this list?
Send a message to [email-masked]